/* -*- c++ -*- */
/*
 * Copyright 2004 Free Software Foundation, Inc.
 * 
 * This file is part of GNU Radio
 * 
 * GNU Radio is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 * 
 * GNU Radio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with GNU Radio; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street,
 * Boston, MA 02110-1301, USA.
 */

#ifndef INCLUDED_GNURADIO_SWIG_BUG_WORKAROUND_H
#define INCLUDED_GNURADIO_SWIG_BUG_WORKAROUND_H

/*
 * This include files works around a bug in SWIG 1.3.21 and 22
 * where it fails to emit these declarations when doing
 * %import "gnuradio.i"
 */

class gr_adaptive_fir_ccf;
class gr_add_cc;
class gr_add_const_cc;
class gr_add_const_ff;
class gr_add_const_ii;
class gr_add_const_sf;
class gr_add_const_ss;
class gr_add_const_vcc;
class gr_add_const_vff;
class gr_add_const_vii;
class gr_add_const_vss;
class gr_add_ff;
class gr_add_ii;
class gr_add_ss;
class gr_add_vcc;
class gr_add_vff;
class gr_add_vii;
class gr_add_vss;
class gr_agc2_cc;
class gr_agc2_ff;
class gr_agc_cc;
class gr_agc_ff;
class gr_align_on_samplenumbers_ss;
class gr_base_error_handler;
class gr_binary_slicer_fb;
class gr_block;
class gr_bytes_to_syms;
class gr_char_to_float;
class gr_check_counting_s;
class gr_check_lfsr_32k_s;
class gr_chunks_to_symbols_bc;
class gr_chunks_to_symbols_bf;
class gr_chunks_to_symbols_ic;
class gr_chunks_to_symbols_if;
class gr_chunks_to_symbols_sc;
class gr_chunks_to_symbols_sf;
class gr_clock_recovery_mm_cc;
class gr_clock_recovery_mm_ff;
class gr_cma_equalizer_cc;
class gr_complex_to_arg;
class gr_complex_to_float;
class gr_complex_to_imag;
class gr_complex_to_interleaved_short;
class gr_complex_to_mag;
class gr_complex_to_mag_squared;
class gr_complex_to_real;
class gr_conjugate_cc;
class gr_constellation_decoder_cb;
class gr_correlate_access_code_bb;
class gr_costas_loop_cc;
class gr_ctcss_squelch_ff;
class gr_dd_mpsk_sync_cc;
class gr_deinterleave;
class gr_diff_decoder_bb;
class gr_diff_encoder_bb;
class gr_diff_phasor_cc;
class gr_divide_cc;
class gr_divide_ff;
class gr_divide_ii;
class gr_divide_ss;
class gr_error_handler;
class gr_fake_channel_decoder_pp;
class gr_fake_channel_encoder_pp;
class gr_feedforward_agc_cc;
class gr_fft_filter_ccc;
class gr_fft_filter_fff;
class gr_fft_vcc;
class gr_fft_vfc;
class gr_file_descriptor_sink;
class gr_file_descriptor_source;
class gr_file_error_handler;
class gr_file_sink;
class gr_file_source;
class gr_filter_delay_fc;
class gr_fir_filter_ccc;
class gr_fir_filter_ccf;
class gr_fir_filter_fcc;
class gr_fir_filter_fff;
class gr_fir_filter_fsf;
class gr_fir_filter_scc;
class gr_float_to_char;
class gr_float_to_complex;
class gr_float_to_short;
class gr_float_to_uchar;
class gr_framer_sink_1;
class gr_freq_xlating_fir_filter_ccc;
class gr_freq_xlating_fir_filter_ccf;
class gr_freq_xlating_fir_filter_fcc;
class gr_freq_xlating_fir_filter_fcf;
class gr_freq_xlating_fir_filter_scc;
class gr_freq_xlating_fir_filter_scf;
class gr_frequency_modulator_fc;
class gr_goertzel_fc;
class gr_head;
class gr_hilbert_fc;
class gr_iir_filter_ffd;
class gr_interleave;
class gr_interleaved_short_to_complex;
class gr_interp_fir_filter_ccc;
class gr_interp_fir_filter_ccf;
class gr_interp_fir_filter_fcc;
class gr_interp_fir_filter_fff;
class gr_interp_fir_filter_fsf;
class gr_interp_fir_filter_scc;
class gr_keep_one_in_n;
class gr_kludge_copy;
class gr_lfsr_32k_source_s;
class gr_lms_dfe_cc;
class gr_lms_dfe_ff;
class gr_map_bb;
class gr_message_sink;
class gr_message_source;
class gr_msg_handler;
class gr_msg_queue;
class gr_multiply_cc;
class gr_multiply_const_cc;
class gr_multiply_const_ff;
class gr_multiply_const_ii;
class gr_multiply_const_ss;
class gr_multiply_const_vcc;
class gr_multiply_const_vff;
class gr_multiply_const_vii;
class gr_multiply_const_vss;
class gr_multiply_ff;
class gr_multiply_ii;
class gr_multiply_ss;
class gr_multiply_vcc;
class gr_multiply_vff;
class gr_multiply_vii;
class gr_multiply_vss;
class gr_mute_cc;
class gr_mute_ff;
class gr_mute_ii;
class gr_mute_ss;
class gr_nlog10_ff;
class gr_noise_source_c;
class gr_noise_source_f;
class gr_noise_source_i;
class gr_noise_source_s;
class gr_nop;
class gr_null_sink;
class gr_null_source;
class gr_oscope_sink_f;
class gr_oscope_sink_x;
class gr_pa_2x2_phase_combiner;
class gr_packed_to_unpacked_bb;
class gr_packed_to_unpacked_ii;
class gr_packed_to_unpacked_ss;
class gr_packet_sink;
class gr_phase_modulator_fc;
class gr_pll_carriertracking_cc;
class gr_pll_freqdet_cf;
class gr_pll_refout_cc;
class gr_probe_avg_mag_sqrd_c;
class gr_probe_avg_mag_sqrd_f;
class gr_probe_signal_f;
class gr_pwr_squelch_cc;
class gr_pwr_squelch_ff;
class gr_quadrature_demod_cf;
class gr_rational_resampler_base_ccc;
class gr_rational_resampler_base_ccf;
class gr_rational_resampler_base_fcc;
class gr_rational_resampler_base_fff;
class gr_rational_resampler_base_fsf;
class gr_rational_resampler_base_scc;
class gr_rms_cf;
class gr_rms_ff;
class gr_short_to_float;
class gr_sig_source_c;
class gr_sig_source_f;
class gr_sig_source_i;
class gr_sig_source_s;
class gr_simple_correlator;
class gr_simple_framer;
class gr_simple_squelch_cc;
class gr_single_pole_iir_filter_cc;
class gr_single_pole_iir_filter_ff;
class gr_skiphead;
class gr_squelch_base_cc;
class gr_squelch_base_ff;
class gr_stream_to_streams;
class gr_stream_to_vector;
class gr_streams_to_stream;
class gr_streams_to_vector;
class gr_sub_cc;
class gr_sub_ff;
class gr_sub_ii;
class gr_sub_ss;
class gr_sync_block;
class gr_sync_decimator;
class gr_sync_interpolator;
class gr_test;
class gr_threshold_ff;
class gr_throttle;
class gr_uchar_to_float;
class gr_unpack_k_bits_bb;
class gr_unpacked_to_packed_bb;
class gr_unpacked_to_packed_ii;
class gr_unpacked_to_packed_ss;
class gr_vco_f;
class gr_vector_sink_b;
class gr_vector_sink_c;
class gr_vector_sink_f;
class gr_vector_sink_i;
class gr_vector_sink_s;
class gr_vector_source_b;
class gr_vector_source_c;
class gr_vector_source_f;
class gr_vector_source_i;
class gr_vector_source_s;
class gr_vector_to_stream;
class gr_vector_to_streams;
class gri_agc2_cc;
class gri_agc2_ff;
class gri_agc_cc;
class gri_agc_ff;
class microtune_4702_eval_board;
class microtune_4937_eval_board;
class microtune_xxxx_eval_board;

#endif /* INCLUDED_GNURADIO_SWIG_BUG_WORKAROUND_H */
